View Issue Details

IDProjectCategoryView StatusLast Update
0002030Ham Radio DeluxeBugpublic2017-08-05 18:58
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0002030: Award T racking view in Logbook doesn't draw correctly when resized
DescriptionWhen resizing a column in the Award Tracking view, the column headers resize but the column cells (values) don't resize correctly.
Steps To Reproduce1) Open the logbook
2) Click on the "Awards Tracking" button on the button ribbon in the Logbook view. The Award Tracking window appears
3) Grab the "Confirmed" column separator and resize it. Make it substantially wider

BUG#1) The columns to the right of "confirmed" don't contain any content anymore. All of the values now appear in the "Confirmed" column.

TagsNo tags attached.
ModuleLogbook
Sub-ModuleAwards
Testing Beta Successful

Relationships

Activities

K7ZCZ

2017-06-10 19:48

viewer  

ResizeAwards.png (206,609 bytes)
ResizeAwards.png (206,609 bytes)

K7ZCZ

2017-06-15 09:08

viewer   ~0003209

I have coded a fix and checked it in

K7ZCZ

2017-06-15 18:41

viewer   ~0003214

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3495

K7ZCZ

2017-06-20 00:23

viewer   ~0003225

verified fixed in 652

WA9PIE

2017-06-21 22:24

administrator   ~0003248

We'll need to leave issues "Assigned" until verified... then change to "Resolved"

I'll document this in process.

g3ucq

2017-06-24 03:22

viewer   ~0003278

Resizing the Confirmation column does not affect other columns. Fixed.

WA9PIE

2017-06-25 22:03

administrator   ~0003313

I tested this... confirmed fixed.

WA9PIE

2017-07-04 23:30

administrator   ~0003473

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003508

Waiting to close them until a final item is tested.

g3ucq

2017-07-05 03:45

viewer   ~0003531

Fixed. Could we have 'column width' saved please as for Logbook?

WA9PIE

2017-07-05 19:39

administrator   ~0003545

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2017-06-10 19:48 K7ZCZ New Issue
2017-06-10 19:48 K7ZCZ File Added: ResizeAwards.png
2017-06-15 09:08 K7ZCZ Assigned To => K7ZCZ
2017-06-15 09:08 K7ZCZ Status new => assigned
2017-06-15 09:08 K7ZCZ Note Added: 0003209
2017-06-15 18:40 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-06-15 18:41 K7ZCZ Note Added: 0003214
2017-06-19 10:26 WA9PIE Fixed in Version => 6.4.0.652
2017-06-20 00:23 K7ZCZ Note Added: 0003225
2017-06-21 22:09 K7ZCZ Status assigned => resolved
2017-06-21 22:09 K7ZCZ Resolution open => fixed
2017-06-21 22:09 K7ZCZ Description Updated View Revisions
2017-06-21 22:09 K7ZCZ Module (select) => Logbook
2017-06-21 22:09 K7ZCZ Sub-Module => Awards
2017-06-21 22:24 WA9PIE Status resolved => assigned
2017-06-21 22:24 WA9PIE Note Added: 0003248
2017-06-24 03:22 g3ucq Note Added: 0003278
2017-06-25 22:03 WA9PIE Status assigned => resolved
2017-06-25 22:03 WA9PIE Note Added: 0003313
2017-06-25 22:46 WA9PIE Testing => Beta Passed
2017-07-01 08:23 WA9PIE Target Version => 6.4.0.652
2017-07-01 08:23 WA9PIE Fixed in Version 6.4.0.652 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003473
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003508
2017-07-05 03:45 g3ucq Note Added: 0003531
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003545
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:58 WA9PIE Target Version 6.4.0.652 =>